<template>
    <div>
        <img src="../../assets/img/adHeader.png" style="width: 100%;"
        @click="goVipIntroduce"/>
        <span class="close-btn cursor-pointer column items-center flex-center"
        @click.stop="Off"><IconClose :size="16"></IconClose></span>
    </div>
</template>
<script setup lang="ts">
    import { useRouter } from "vue-router";
    const router = useRouter();
    const props = defineProps({
        DetaTem:{
            type: Boolean,
            default: false,
        },
        Details:{
            type: Object,
            default: {},
        }
    })
    const emit = defineEmits<{
        (event: 'close'): void,
        (event: 'scanCode'): void,
    }>()
    const Off = () => {
        emit('close')
    }

    const goVipIntroduce = () =>{
        console.log('-----')
        emit('scanCode')
    }
</script>
<style lang="scss" scoped>
.close-btn{
    position: absolute;
    bottom: 1vw;
    right: 2vw;
    width: 1.77vw;
    height: 1.77vw;
    /* border:2px solid #fff; */
    text-align: center;
    color:#fff;
    border-radius: 50%;
    z-index: 3;
}
.close-btn:hover{
    /* border:2px solid #fff; */
    color:#fff;
}
</style>